<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: util/distint.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div class="navpath"><a class="el" href="dir_81f17f03227d7067ce13f3651b0bf66b.html">util</a>
  </div>
</div>
<div class="contents">
<h1>distint.c File Reference</h1><code>#include &quot;<a class="el" href="util_8h_source.html">util.h</a>&quot;</code><br/>
<div class="dynheader">
Include dependency graph for distint.c:</div>
<div class="dynsection">
<div class="center"><img src="distint_8c__incl.png" border="0" usemap="#util_2distint_8c_map" alt=""/></div>
<map name="util_2distint_8c_map" id="util_2distint_8c">
<area shape="rect" id="node3" href="util_8h.html" title="util.h" alt="" coords="176,86,227,117"/><area shape="rect" id="node5" href="griddata_8h.html" title="griddata.h" alt="" coords="163,166,240,197"/></map>
</div>

<p><a href="distint_8c_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="distint_8c.html#a42616e8c2899205c9fb1890cf0fb1e7b">distint</a> (int from, int to, int in)</td></tr>
</table>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="a42616e8c2899205c9fb1890cf0fb1e7b"></a><!-- doxytag: member="distint.c::distint" ref="a42616e8c2899205c9fb1890cf0fb1e7b" args="(int from, int to, int in)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int distint </td>
          <td>(</td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>from</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>to</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>in</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="distint_8c_source.html#l00030">30</a> of file <a class="el" href="distint_8c_source.html">distint.c</a>.</p>

<p>Referenced by <a class="el" href="movedata_8c_source.html#l00030">DataMoveData()</a>, <a class="el" href="parteleser_8c_source.html#l00104">DataPartitionElementsSer()</a>, <a class="el" href="reorder_8c_source.html#l00231">OptimizeBandwidth()</a>, and <a class="el" href="reorder_8c_source.html#l00326">TrivialPartitioning()</a>.</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="distint_8c_a42616e8c2899205c9fb1890cf0fb1e7b_icgraph.png" border="0" usemap="#distint_8c_a42616e8c2899205c9fb1890cf0fb1e7b_icgraph_map" alt=""></div>
<map name="distint_8c_a42616e8c2899205c9fb1890cf0fb1e7b_icgraph_map" id="distint_8c_a42616e8c2899205c9fb1890cf0fb1e7b_icgraph">
<area shape="rect" id="node3" href="movedata_8c.html#aac2a4c334ae5c2baef33867114fe8006" title="DataMoveData" alt="" coords="332,5,439,35"/><area shape="rect" id="node9" href="parteleser_8c.html#a6458904885e6dd97ed495c8ad5f11ca0" title="DataPartitionElementsSer" alt="" coords="112,43,283,74"/><area shape="rect" id="node14" href="reorder_8c.html#aaa65da5c15989b05f5beaa0caec46fa6" title="OptimizeBandwidth" alt="" coords="131,97,264,127"/><area shape="rect" id="node17" href="reorder_8c.html#a6f34cee4815f64fdb70ac23efe121a18" title="TrivialPartitioning" alt="" coords="137,150,257,181"/><area shape="rect" id="node5" href="serinit_8c.html#ae4c8f3120a177cfe3ce6929927865a94" title="SerInit" alt="" coords="489,45,548,75"/><area shape="rect" id="node7" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="597,45,648,75"/><area shape="rect" id="node11" href="reorder_8c.html#a37fbeb81912fa6f3e4bcc7e3dd71bc62" title="Reorder" alt="" coords="352,83,419,114"/></map>
</div>
</p>

</div>
</div>
</div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

